Bug 177967 - EWS should run Windows tests.
Summary: EWS should run Windows tests.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-05 14:15 PDT by Per Arne Vollan
Modified: 2018-02-12 10:44 PST (History)
11 users (show)

See Also:


Attachments
Patch (1.08 KB, patch)
2017-10-05 14:18 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2017-10-05 14:15:14 PDT
This will help catch regressions at an early stage.
Comment 1 Per Arne Vollan 2017-10-05 14:17:13 PDT
<rdar://problem/22918746>
Comment 2 Per Arne Vollan 2017-10-05 14:18:52 PDT
Created attachment 322915 [details]
Patch
Comment 3 Alexey Proskuryakov 2017-10-06 10:16:33 PDT
Comment on attachment 322915 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=322915&action=review

> Tools/Scripts/webkitpy/common/config/ews.json:13
> +        "runTests": true

Do we have enough hardware set up for Windows EWS already?
Comment 4 Per Arne Vollan 2017-10-06 10:28:49 PDT
(In reply to Alexey Proskuryakov from comment #3)
> Comment on attachment 322915 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=322915&action=review
> 
> > Tools/Scripts/webkitpy/common/config/ews.json:13
> > +        "runTests": true
> 
> Do we have enough hardware set up for Windows EWS already?

Yes, I believe so, although it wouldn't hurt to get more :)

I think I overestimated the extra time this would add to the total processing time. It adds 10-12 minutes for each EWS pass.
Comment 5 Alexey Proskuryakov 2017-10-06 15:34:30 PDT
I see. Leaving this for Lucas to r+, and to face the consequences :)
Comment 6 Per Arne Vollan 2017-10-06 16:16:01 PDT
(In reply to Alexey Proskuryakov from comment #5)
> I see. Leaving this for Lucas to r+, and to face the consequences :)

Sounds good :) Thanks!
Comment 7 Lucas Forschler 2017-10-09 13:32:42 PDT
I spoke with Alexey this morning. We discussed moving all Windows EWS bots to SSDs before turning this on. 

I’ll be tracking that in 
<rdar://problem/34891365> Check EWS hardware, find units that need SSD
Comment 8 Per Arne Vollan 2017-10-09 16:20:59 PDT
(In reply to Lucas Forschler from comment #7)
> I spoke with Alexey this morning. We discussed moving all Windows EWS bots
> to SSDs before turning this on. 
> 
> I’ll be tracking that in 
> <rdar://problem/34891365> Check EWS hardware, find units that need SSD

Great, thank you!
Comment 9 WebKit Commit Bot 2018-02-12 10:44:04 PST
Comment on attachment 322915 [details]
Patch

Clearing flags on attachment: 322915

Committed r228383: <https://trac.webkit.org/changeset/228383>
Comment 10 WebKit Commit Bot 2018-02-12 10:44:06 PST
All reviewed patches have been landed.  Closing bug.